from enum import Enum


class ModuleConfigDataType(str, Enum):
    AUTO = "auto"
    CODE = "code"
    LIST = "list"
    MAP = "map"
    NUMBER = "number"
    STRING = "string"

    def __str__(self) -> str:
        return str(self.value)
